package com.utic.center.utic.traf.server.dto.dwdb;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor//(access = AccessLevel.PROTECTED)
@AllArgsConstructor
public class ParamMissing implements Serializable {
    private static final long serialVersionUID = 1L;

    private boolean usePst;
    private boolean useKnn;
    private boolean usePtn;
    private boolean extKnn;
    private boolean missPri;

    public void setParam(ParamMissing paramMissing) {
        this.usePst = paramMissing.isUsePst();
        this.useKnn = paramMissing.isUseKnn();
        this.usePtn = paramMissing.isUsePtn();
        this.extKnn = paramMissing.isExtKnn();
        this.missPri = paramMissing.isMissPri();
    }
}
